
print "${BBlue}Loading herobattler.pl\n";
sub eq {
	if (/Flames burn brightly/) {
	$_ = "$_...[circlet.light.15dr.-2int]";
    	}
        elsif (/a blazing circlet of fire/) {
        $_ = "$_...[circlet.light.15dr.-2int]";
        }
        elsif (/A blue scroll fades in and out of existence/) {
        $_ = "$_...[blue.scroll.images,bless]";
        }
        elsif (/a blue scroll of protection/) {
        $_ = "$_...[blue.scroll.images,bless]";
        }
        elsif (/A small vial of grape syrup is partially stuck to the floor./) {
        $_ = "$_...[syrup.potion.images,plague]";
        }
        elsif (/a vial of luscious grape cough syrup/) {
        $_ = "$_...[syrup.potion.images,plague]";
        }
        elsif (/A crisp white hat has lost its head./) {
        $_ = "$_...[cap.head.50m.50hp]";
        }
        elsif (/a cute little sailor's cap/) {
        $_ = "$_...[cap.head.50m.50hp]";
	}
        elsif (/A bloody ear stains the floor/) {
        $_ = "$_...[ear.head.15hr.4int]";
        }
        elsif (/the severed ear of a misadventurer/) {
        $_ = "$_...[ear.head.15hr.4int]";
        }
        elsif (/A flap of skin has been decorated with twisting, demonic shapes/) {
        $_ = "$_...[tattoo.body.-4ss.20hp]";
        }
        elsif (/a wicked tattoo of pure evil delight/) {
        $_ = "$_...[tattoo.body.-4ss.20hp]";
        }
        elsif (/A tiny knot of string sits in the dust/) {
        $_ = "$_...[knot.finger.50hp.50m]";
        }
        elsif (/a magical ring, knotted carefully/) {
        $_ = "$_...[knot.finger.50hp.50m]";
        }
        elsif (/These shoes need feet/) {
        $_ = "$_....[shoes.feet.15hr.20ac]";
        }
        elsif (/a pair of shoes, well-worn and comfortable/) {
        $_ = "$_...[shoes.feet.15hr.20ac]";
        }
        elsif (/A lone mint leaf blows lazily in the faint breeze/) {
        $_ = "$_...[mint.food.quickness]";
        }
        elsif (/a mint-green mint leaf/) {
        $_ = "$_...[mint.food.quickness]";
        }
        elsif (/A very tacky collar graces the floor/) {
        $_ = "$_...[collar.neck.40m.-4ss]";
        }
        elsif (/a rhinestone choke collar/) {
        $_ = "$_...[collar.neck.40m.-4ss]";
        }
        elsif (/A circular band of light shines brightly, nearly blinding you/) {
        $_ = "$_...[band.wrist.-3ss.40ac]";
        }
        elsif (/a magnificent circular band of light/) {
        $_ = "$_...[band.wrist.-3ss.40ac]";
        }
        elsif (/A red scroll bleeds a thousand rivers of death/) {
        $_ = "$_...[sin.scroll.harm,fear,edrain]";
        }
        elsif (/a deadly scroll of sin/) {
        $_ = "$_...[sin.scroll.harm,fear,edrain]";
        }
        elsif (/These wool socks could probably walk without your help/) {
        $_ = "$_...[socks.feet.50m.30hp]";
        }
        elsif (/a stiff pair of wool socks/) {
        $_ = "$_...[socks.feet.50m.30hp]";
        }
        elsif (/The thighbone of a previous combatant is lying here/) {
        $_ = "$_...[thigh.wield.-2str.-3srod.5d12]";
        }
        elsif (/an enormous thighbone/) {
        $_ = "$_...[thigh.wield.-2str.-3srod.5d12]";
        }
        elsif (/These gloves are wet and reek of the sea/) {
        $_ = "$_...[gloves.hands.10hr.+2ss]";
        }
        elsif (/moist gloves of the clamdigger/) {
        $_ = "$_...[gloves.hands.10hr.+2ss]";
        }
        elsif (/A bright red leather belt cries out in sorrowful, low tones/) {
        $_ = "$_...[belt.waist.40hp.6hr]";
        }
        elsif (/the Singing Belt of the Apocalypse/) {
        $_ = "$_...[belt.waist.40hp.6hr]";
        }
        elsif (/A shard of metal is twisted into a tight spiral/) {
        $_ = "$_...[shard.wield.8hr.4dr.10d4]";
        }
        elsif (/a twisted metal shard/) {
        $_ = "$_...[shard.wield.8hr.4dr.10d4]";
        }
        elsif (/Two empty black holes stare back at you from within this skull/) {
        $_ = "$_...[skull.hold.plague]";
        }
        elsif (/a skull of disease/) {
        $_ = "$_...[skull.hold.plague]";
        }
        elsif (/A fresh red heart still beats/) {
        $_ = "$_...[heart.food.sanc]";
        }
        elsif (/the heart of a sacrificed virgin/) {
        $_ = "$_...[heart.food.sanc]";
        }
        elsif (/A brilliant orb radiates good vibrations throughout the room/) {
        $_ = "$_...[orb.hold.heal]";
        }
        elsif (/an orb of good health/) {
        $_ = "$_...[orb.hold.heal]";
        }
        elsif (/A rainbow potion of stripes and happiness calls your name/) {
        $_ = "$_...[striped.potion.quick,vision,striking]";
        }
        elsif (/a juicy striped potion of happiness/) {
        $_ = "$_...[striped.potion.quick,vision,striking]";
        }
        elsif (/Two large boots are made for stomping/) {
        $_ = "$_...[boots.feet.8dr.2dex]";
        }
        elsif (/a pair of big brown stompers/) {
        $_ = "$_...[boots.feet.8dr.2dex]";
        }
        elsif (/These leg plates are really big/) {
        $_ = "$_...[plate.legs.15dr.-10sta]";
        }
        elsif (/Really Big Leg Plates/) {
        $_ = "$_...[plate.legs.15dr.-10sta]";
        }
        elsif (/A fuzzy caterpillar shuffles its length along the floor/) {
        $_ = "$_...[cat.ring.50m.-2ss]";
        }
        elsif (/a green caterpillar ring/) {
        $_ = "$_...[cat.ring.50m.-2ss]";
        }
        elsif (/The hardened corpse of a once dangerous fish lies here/) {
        $_ = "$_...[helm.head.6dr.-2ss]";
        }
        elsif (/the Spiked Helm of the Blowfish/) {
        $_ = "$_...[helm.head.6dr.-2ss]";
        }
        elsif (/The nest of a small bird lies in a crumpled heap/) {
        $_ = "$_...[nest.head.30hp.10hr]";
        }
        elsif (/a finch's discarded nest/) {
        $_ = "$_...[nest.head.30hp.10hr]";
        }
    }
output_add(\&eq);
1;

